Name: unstickd
Summary: NFS lazy umounter for MILAB machines
Version: 1.1
Release: 2
License: Not to be distributed outside of CUED
Group: CUED/MILAB/System
Source0: unstickd-%{version}.tar.bz2
Source1: unstickd.initscript
Source2: unstickd.initscript.rh
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Anna Langley <jal58@cam.ac.uk>
Url: http://mi.eng.cam.ac.uk/
Distribution: MILAB
Requires: autofs bash

%description
unstickd performs lazy umounts of filesystems mounted from hosts listed in
/tools/sync/unstick

If for example, white crashes and leaves the stack with a stack of stuck filehandles, log 
on to cabinet as root and touch /tools/sync/unstick/white.  The stack machines will then 
do a lazy umount of all filesystems that they have mounted from white.



%prep

%setup

%build
  make

%install
mkdir -p "$RPM_BUILD_ROOT"/sbin
mkdir -p "$RPM_BUILD_ROOT"/usr/sbin
mkdir -p "$RPM_BUILD_ROOT"/etc/init.d
cp unstickd "$RPM_BUILD_ROOT"/usr/sbin/unstickd
cd "$RPM_SOURCE_DIR"
if [ -f /etc/rc.d/init.d/functions ]
then
	cp unstickd.initscript.rh "$RPM_BUILD_ROOT"/etc/init.d/unstickd
else
	cp unstickd.initscript "$RPM_BUILD_ROOT"/etc/init.d/unstickd
fi
ln -s /etc/init.d/unstickd "$RPM_BUILD_ROOT"/sbin/rcunstickd

%pre
/bin/rm -f /var/run/unstickd.pid /var/run/unstickd.lastrun

%post
if [ -f /sbin/insserv ]
then
	# SuSE
	/sbin/insserv -d /etc/init.d/unstickd
else
	# Red Hat
	chkconfig --add unstickd
	chkconfig unstickd on
fi
chkconfig --list unstickd
/etc/init.d/unstickd start

%preun
pkill -9 unstickd
/bin/rm -f /var/run/unstickd.pid /var/run/unstickd.lastrun
if [ -f /sbin/insserv ]
then
	# SuSE
	/sbin/insserv -r /etc/init.d/unstickd
else
	# Red Hat
	chkconfig --del unstickd
fi


%files
%attr(740,root,root) /usr/sbin/unstickd
%attr(-,root,root) /sbin/rcunstickd
%attr(755,root,root) /etc/init.d/unstickd

%clean
rm -rf $RPM_BUILD_ROOT

